/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/_variables.scss';

.HeaderContainer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row-reverse;
  padding: 0.5em 2em 0.5em 0.5em;
  border-bottom: 1px solid $border;
  background-color: $white;
  height: $header-height;
  @include breakpoint(sm) {
    justify-content: flex-end;
  }
  .Logo {
    @include breakpoint(sm) {
      display: none;
    }
  }
  .RightSide {
    display: flex;
    justify-content: flex-end;
    width: 20%;
  }
}

@media screen and (max-width: 1024px) {
  .HeaderContainer {
    width: 93vw;
    display: flex;
    justify-content: space-between;
    align-items: center;
    @include breakpoint(sm) {
      justify-content: flex-end;
    }
    .RightSide {
      width: 45%;
    }
  }
}
@media screen and (max-width: 770px) {
  .HeaderContainer {
    width: calc(100%);

    .RightSide {
      width: 30%;
    }
  }
}
@media screen and (max-width: 450px) {
  .HeaderContainer {
    .RightSide {
      width: 80%;
    }
  }
}
